package com.qmth.sop.common.enums;

import java.util.Objects;

/**
 * @Description: 自定义流程类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum TFCustomTypeEnum {

    OFFICE_SOP_FLOW("教务处SOP", null, "officeSopFlow", "testform1.zip"),

    CLOUD_MARK_SOP_FLOW("云阅卷SOP", null, "cloudMarkSopFlow", null);

    private String title;

    private String table;

    private String code;

    private String fileName;

    private TFCustomTypeEnum(String title, String table, String code, String fileName) {
        this.title = title;
        this.table = table;
        this.code = code;
        this.fileName = fileName;
    }

    public String getTable() {
        return table;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }

    public String getFileName() {
        return fileName;
    }

    /**
     * 状态转换 toName
     *
     * @param table
     * @return
     */
    public static TFCustomTypeEnum convertToEnum(String table) {
        for (TFCustomTypeEnum e : TFCustomTypeEnum.values()) {
            if (Objects.equals(table, e.getTable())) {
                return e;
            }
        }
        return null;
    }
}
